UNIHEXGEN(1)

NAME
unihexgen - Generate Unifont 4- or 6-digit hexadecimal glyphs

SYNOPSIS
unihexgen startpoint endpoint

DESCRIPTION
unihexgen produces unifont.hex entries in the Unicode code point range startpoint to endpoint (specified as the two command-line arguments). Output is to STDOUT. If a codepoint is less than or equal to "FFFF" (i.e., 0xFFFF), a four-digit hexadecimal number is encoded within the corresponding Unifont glyph as two digits on each of two rows. Otherwise, a six-digit hexadecimal number is encoded as three digits on each of two rows.

OPTIONS
There are no options.

FILES
*.hex as output.

EXAMPLE
To generate the Private Use Area glyphs in the Unicode range U+E000..U+F8FF, invoke unihexgen with these arguments:

    unihexgen e000 f8ff

SEE ALSO
bdfimplode(1), hex2bdf(1), hex2otf(1), hex2sfd(1), hexbraille(1), hexdraw(1), hexkinya(1), hexmerge(1), johab2ucs2(1), unibdf2hex(1), unibmp2hex(1), unibmpbump(1), unicoverage(1), unidup(1), unifont(5), unifont-viewer(1), unifont1per(1), unifontchojung(1), unifontksx(1), unifontpic(1), unigencircles(1), unigenwidth(1), unihex2bmp(1), unihex2png(1), unihexfill(1), unihexrotate(1), unipagecount(1), unipng2hex(1)

AUTHOR
unihexgen was written by Paul Hardy.

LICENSE
unihexgen is Copyright © 2013 Paul Hardy.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

BUGS
No known real bugs exist, except that this software does not perform extensive error checking on its command-line arguments. If they're not in the format of the original bitmapped output from unihexgen, all bets are off.